package jp.co.gihyo.webdb.vol36.selenium.sample;

import junit.framework.TestCase;

import com.thoughtworks.selenium.DefaultSelenium;
import com.thoughtworks.selenium.Selenium;

public class GoogleTest extends TestCase {
	private Selenium selenium;

	@Override
	protected void setUp() throws Exception {
		// @ uEU̎w
		String bw = "*firefox";
//		String bw = "*iexplore";
		// A eXgΏۂURL
		String url = "http://www.google.co.jp";
		selenium = new DefaultSelenium( "localhost", 4444, bw, url );
		selenium.start();
	}

	@Override
	protected void tearDown() throws Exception {
		selenium.stop();
	}

	public void testGoogleTestSearch() throws Throwable {
		selenium.open( "/" );
		assertEquals( "Google", selenium.getTitle() );
		// u{̃y[WvNbN
		selenium.check( "il" );
		// name̒l"q"ł^Oɑ2͂.
		selenium.type( "q", "Z]" );
		// name="bunG" ̃{^NbN
		selenium.click( "btnG" );
		// y[WǍݏI܂ő҂.^CAEgTb.
		selenium.waitForPageToLoad( "5000" );

		assertTrue( selenium.isTextPresent( "Zp]_" ) );
		assertEquals( "Z]", selenium.getValue( "q" ) );
		assertTrue( selenium.isChecked( "lrt" ) );
	}

}
